petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawCreate

Creates a graphics context.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawCreate(MPI_Comm comm,const char display[],const char title[],int x,int y,int w,int h,PetscDraw *indraw)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - MPI communicator Many br
| display | - X display when using X windows Many br
| title | - optional title added to top of window Many br
| x,y | - coordinates of lower left corner of window or PETSC_DECIDE Many br
| w, h | - width and height of window or PETSC_DECIDE or PETSC_DRAW_HALF_SIZE, PETSC_DRAW_FULL_SIZE, Many bror PETSC_DRAW_THIRD_SIZE or PETSC_DRAW_QUARTER_SIZE Many br

### Output Parameter

draw -location to put the PetscDraw context Many br

Many br

### See Also

PetscDrawSetFromOptions(), PetscDrawDestroy(), PetscDrawSetType()

Level:beginner
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages